Bug 305831 - excessive cpu usage in recovery code
excessive cpu usage in recovery code
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Teigland
Red Hat Kernel QE team
Depends On:
  Show dependency treegraph
Reported: 2007-09-25 14:51 EDT by David Teigland
Modified: 2009-09-03 12:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-01 15:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Teigland 2007-09-25 14:51:04 EDT
Description of problem:

The dlm recovery code calls schedule() in a lot of lock loops
to prevent:

1) the softlock watchdog from going off
2) openais cluster membership messages for being delayed past
   the configured timeout

We want to investigate:

- will cond_resched() work as well, and more efficiently than schedule()?
  (I expect so)
- exactly what loops are taking so long (watchdog is 10 sec) and why?
  are there really that many locks and/or are we doing that much work
  on each one that it can take 10 sec?
- why does this seem to appear on ia64 regularly and other arch's rarely?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 David Teigland 2008-06-24 13:25:27 EDT
Dean, do you still get softlockups on ia64?

Note You need to log in before you can comment on or make changes to this bug.